@charset "utf-8";

/*
Theme Name: ysz
Template:
*/


/* ========================================================
//  MARK: Resets
// ======================================================== */

/* Document & Body Basics
--------------------------------------------------------- */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
:where(:root) {
  font-family: sans-serif; /* Default for all browsers */
  font-style: normal;
  line-break: strict;
  overflow-wrap: anywhere;
  word-break: normal;
  text-autospace: normal;
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
  scrollbar-gutter: stable;
  -webkit-tap-highlight-color: transparent;
}
:where(:root, body) {
  overflow-x: clip;
}
body {
  min-height: 100vh;
  padding: 0;
  margin: 0;
}

/* Focus styles (For all elements)
--------------------------------------------------------- */
:root {
  --focus-outline-width: 0.15rem;
  --focus-outline-color: #f5222d;
  --focus-outline-radius: 2px;
}
*:focus:not(:focus-visible) {
  outline: none;
}
*:focus-visible {
  border: none !important;
  outline: var(--focus-outline-width) solid var(--focus-outline-color);
  outline-offset: 2px;
  /* Transitions for a softer appearance */
  transition: outline-color 0.2s ease-out;
  border-radius: var(--focus-outline-radius);
}
/* Keep the outline transparent in the base state
 * (for animation)
 */
a,
button,
input,
label {
  outline: var(--focus-outline-width) solid transparent;
  outline-offset: 2px;
  transition: outline-color 0.2s ease-out, color 0.3s ease-in-out;
  border-radius: var(--focus-outline-radius);
}

/* Elements (Exclude Form-related elements)
--------------------------------------------------------- */
a,
a:visited,
a:active,
a:focus,
a:hover {
  color: inherit;
  text-decoration: none;
}
img {
  border: none;
  vertical-align: bottom;
  width: 100%;
  max-width: 100%;
}
:where(
  ul,
  ol,
  menu
) {
  list-style-type: '';
}
:where(
  li,
  dd
) {
  text-indent: 0;
  margin-left: 0;
}
:where(pre) {
  text-spacing-trim: space-all;
  text-autospace: no-autospace;
}
:where(figure) {
  margin: 0;
}
:where(summary) {
  display: inline-block;
  width: 100%;
  cursor: pointer;
}
:where(summary)::-webkit-details-marker {
  /* For Safari */
  display: none;
}

/* Form-related elements style
--------------------------------------------------------- */
:where(
    button,
    [type='button'],
    [type='reset'],
    [type='submit']
  ) {
  touch-action: manipulation;
}
:where(
    button,
    input,
    select,
    textarea
  ) {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
:where(
    button,
    input
  ) {
  border: 0;
  border-radius: 0;
  background: transparent;
  color: inherit;
  vertical-align: middle;
  text-align: inherit;
  font: inherit;
}
:where(
    :any-link,
    button,
    [type='button'],
    [type='reset'],
    [type='submit'],
    label[for],
    select
  ) {
  cursor: pointer;
}
:where(textarea) {
  resize: vertical;
  vertical-align: bottom;
  field-sizing: content;
}


/* ========================================================
//  MARK: Optionals
// ======================================================== */

/* Screen Reader only
--------------------------------------------------------- */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  clip: rect(0,0,0,0);
}


/* ========================================================
//  MARK: Navigation switching (and Related) element
// ======================================================== */

/**
 * This element and its corresponding actions
 * work without JavaScript...
**/

/* Switch style (Basic)
--------------------------------------------------------- */
:root {
  --navSwitch-size: 3.25rem;
  --burger-line-height: .25rem;
  --burger-line-color: #222;
}
.hdrIconGroup {
  position: relative;
  z-index: 9999;
}
#hdrNavSwitch {
  /**
  * If you use WordPress,
  * set Unique name (--wp--preset--color--base, etc.) to
  * background-color.
  **/
  background-color: var(--wp--preset--color--base, #fff);
  position: relative;
  border-radius: 5px;
  padding-top: .125em;
}
.nav-hitarea {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
  display: block;
  cursor: pointer;
  /* Outline adjustment when focused */
  border-radius: 5px;
}
/* Hide the close button by default */
.nav-hitarea.close {
  display: none;
}
.navSwitch-label {
  display: grid;
  grid-template-rows: 1fr auto;
  place-items: center;
  width: var(--navSwitch-size);
  height: var(--navSwitch-size);
  position: relative;
  user-select: none;
  padding-bottom: 0.25rem;
}
.navSwitch-label .hamburger {
  flex-shrink: 0;
  display: flex !important;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: .375em;
  background-color: transparent;
  width: 100%;
  height: 1.5rem;
  position: relative;
  pointer-events: none;
  grid-row: 1 / 2;
  align-self: center;
}
.navSwitch-label .hamburger .line {
  display: block;
  /* border-radius: calc(0.3em / 2); */
  /**
   * Setting border-radius makes
   * line edges look bad...
  **/
  width: 70%;
  height: var(--burger-line-height);
  background-color: var(--burger-line-color);
  transition: transform .3s ease-in-out;
  flex-shrink: 0;
  transform: scaleY(0.5);
}
.navSwitch-label .txtWrap {
  display: grid;
  place-items: center;
  grid-row: 2 / 3;
  /* Text is click-transparent */
  pointer-events: none;
}
.navSwitch-label .txtWrap .txt {
  grid-area: 1 / 1;
  font-size: .75rem;
  white-space: nowrap;
  line-height: 1;
  text-align: center;
  transition: opacity .3s ease-in-out;
}
.navSwitch-label .txtWrap .txt.txt-2 {
  opacity: 0;
  visibility: hidden;
}

/* Other related elements style (Basic)
--------------------------------------------------------- */
#nav-overlay {
  display: block;
  width: 100vw;
  height: 100%;
  background-color: #0000008a;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
  transition: all .3s ease-in-out;
  z-index: 5;
  text-decoration: none;
  border: none;
}

/**
 * MARK: [Navi opened] Logic
 * - JavaScript Disabled: :target (#nav-opened)
 * - JavaScript Enabled:  .is-drawerOpen
**/

/* [Navi opened] Switch style
--------------------------------------------------------- */
/** Switching button status
 * (switching between Open and Close hit areas)
**/
:is(html:has(#nav-opened:target), html.is-drawerOpen) .nav-hitarea.open {
  display: none;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .nav-hitarea.close {
  display: block;
}

/* Animation (hamburger → ×)
--------------------------------------------------------- */
:is(html:has(#nav-opened:target), html.is-drawerOpen) .navSwitch-label .hamburger .line:nth-of-type(1) {
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(-45deg) scaleY(0.5);
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .navSwitch-label .hamburger .line:nth-of-type(2) {
  opacity: 0;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .navSwitch-label .hamburger .line:nth-of-type(3) {
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(45deg) scaleY(0.5);
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .navSwitch-label .txtWrap .txt.txt-1 {
  opacity: 0;
  visibility: hidden;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .navSwitch-label .txtWrap .txt.txt-2 {
  opacity: 1;
  visibility: visible;
}

/* [Navi opened] Other related elements style
--------------------------------------------------------- */
:is(html:has(#nav-opened:target), html.is-drawerOpen) {
  overflow: hidden;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .hdrLogoGroup,
:is(html:has(#nav-opened:target), html.is-drawerOpen) main,
:is(html:has(#nav-opened:target), html.is-drawerOpen) footer {
  visibility: hidden; /* For focus trap styling */
  filter: blur(5px);
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) #siteHeader {
  filter: none;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) #siteHeader .hdr-others {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
  overflow-y: auto;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) #nav-overlay {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  cursor: pointer;
}


/* ========================================================
//  MARK: Other Elements
// ======================================================== */

/* Back to Top
--------------------------------------------------------- */
.disabled-js #backToTop {
  display: none;
  visibility: hidden;
  pointer-events: none;
}
#backToTop {
  width: clamp(2rem, 5vw, 3rem);
  height: clamp(2rem, 5vw, 3rem);
  visibility: hidden;
  opacity: 0;
  transition:
  visibility .3s,
  opacity .3s;
  pointer-events: none;
  position: fixed;
  right: 20px;
  /**
   * The bottom position is controlled by "theme.js"
   * (default is "bottom:20px;").
  **/
}
#backToTop.show {
  visibility: visible;
  opacity: 1;
  pointer-events: inherit;
  cursor: pointer;
}